%define name acua
%define version 3.01
%define release 2mdk

Group: System/Configuration/Other
Name: %{name}
Release: %{release}
Source: %{name}-%{version}-2.tar.bz2
Summary: Access Control and User Administration.
URL: http://acua.gist.net.au
Version: %{version}
License: GPL
Buildroot: %{_tmppath}/%{name}-buildroot

%Description 
ACUA is designed to facilitate the administration of Linux 
systems hosting modem pools.  ACUA's high-level goals are: 
	o to automate the enforcement of access restrictions 
	o to automate (as much as possible) user administration tasks 
	o to provide accounting information 
	o to collect and provide useful statistics

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %name-%version-2

%build
make dep
make

%install
install -m 755 -d $RPM_BUILD_ROOT%_bindir
install -m 755 {acua,acua_bytes,acua_stats,acua_viewRec} $RPM_BUILD_ROOT%_bindir
install -m 755 -d $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 644 doc/*.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
install -m 644 doc/*.gif $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/   
install -m 644 doc/*.jpg $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/   
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/acua
install -m 755 lib/* $RPM_BUILD_ROOT%{_libdir}/acua/
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/acua/record
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/acua/record/archive
install -m 644 libacua.so.2 $RPM_BUILD_ROOT%{_libdir}
install -m 755 -d $RPM_BUILD_ROOT%_sbindir
install -m 755 {acua117-200,acua200-202,acua_adduser} $RPM_BUILD_ROOT%_sbindir
install -m 755 {acua_deluser,acua_login,acua_logout} $RPM_BUILD_ROOT%_sbindir
install -m 755 {acua_updated,acua_verify,clean_proc,clean_tmp} $RPM_BUILD_ROOT%_sbindir
install -m 755 -d $RPM_BUILD_ROOT%_mandir/man8
install -m 644 doc/man8/* $RPM_BUILD_ROOT%_mandir/man8/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-,root,root)
%{_docdir}/%{name}-%{version}/
%{_libdir}/libacua.so.2
%{_bindir}/*
%dir %{_libdir}/acua
%{_libdir}/acua/*
%{_sbindir}/*
%_mandir/man8/*

%changelog
* Tue Jun 26 2001  Lenny Cartier <lenny@mandrakesoft.com> 3.01-2mdk
- rebuild

* Tue Jan 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.01-1mdk
- updated to 3.01

* Wed Jul 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.00-2mdk
- clean spec
- use macros
- BM

* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v 3.00
- mandrake build


